This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 573164 - SELinux is preventing /usr/bin/pulseaudio "read" access on \x2fdevices\x2fpci0000:00\x2f0000:00:0f.1\x2fsound\x2fcard0.
SELinux is preventing /usr/bin/pulseaudio "read" access on \x2fdevices\x...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:3f34514809a...
:
: 548169 561176 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-12 22:06 EST by jbox_ny
Modified: 2010-12-03 12:27 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 12:27:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description jbox_ny 2010-03-12 22:06:07 EST
Summary:

SELinux is preventing /usr/bin/pulseaudio "read" access on
\x2fdevices\x2fpci0000:00\x2f0000:00:0f.1\x2fsound\x2fcard0.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by pulseaudio. It is not expected that this
access is required by pulseaudio and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:device_t:s0
Target Objects                \x2fdevices\x2fpci0000:00\x2f0000:00:0f.1\x2fsound
                              \x2fcard0 [ file ]
Source                        pulseaudio
Source Path                   /usr/bin/pulseaudio
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           pulseaudio-0.9.21-4.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-84.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.12-174.2.3.fc12.x86_64 #1
                              SMP Mon Jan 18 19:52:07 UTC 2010 x86_64 x86_64
Alert Count                   2
First Seen                    Sat 13 Feb 2010 03:57:38 PM EST
Last Seen                     Sat 13 Feb 2010 03:57:38 PM EST
Local ID                      b39013bf-5fd3-4069-b8ca-4689a9a71d3a
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1266094658.577:34): avc:  denied  { read } for  pid=1862 comm="pulseaudio" name="\x2fdevices\x2fpci0000:00\x2f0000:00:0f.1\x2fsound\x2fcard0" dev=tmpfs ino=9139 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:device_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1266094658.577:34): avc:  denied  { open } for  pid=1862 comm="pulseaudio" name="\x2fdevices\x2fpci0000:00\x2f0000:00:0f.1\x2fsound\x2fcard0" dev=tmpfs ino=9139 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:device_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1266094658.577:34): arch=c000003e syscall=2 success=yes exit=14 a0=7fff76649ad0 a1=0 a2=1b6 a3=0 items=0 ppid=1855 pid=1862 auid=4294967295 uid=42 gid=462 euid=42 suid=42 fsuid=42 egid=462 sgid=462 fsgid=462 tty=(none) ses=4294967295 comm="pulseaudio" exe="/usr/bin/pulseaudio" subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,pulseaudio,xdm_t,device_t,file,read
audit2allow suggests:

#============= xdm_t ==============
allow xdm_t device_t:file { read open };
Comment 1 Daniel Walsh 2010-03-14 23:49:15 EDT
SOmething went wrong with udev, and it did not label these files correctly.

You might have a labelling problem on your machine.

Run fixfiles restore

And see if this bug goes away.
Comment 2 Michael Cronenworth 2010-03-23 23:36:10 EDT
(In reply to comment #1)
> SOmething went wrong with udev, and it did not label these files correctly.
> 
> You might have a labelling problem on your machine.
> 
> Run fixfiles restore
> 

Running fixfiles restore does indeed fix my system that was experiencing the same issue. The udev update in question is luckily still in updates-testing.

http://admin.fedoraproject.org/updates/udev-145-19.fc12
Comment 3 Harald Hoyer 2010-03-24 03:12:24 EDT
Dan, is this really /dev?? Looks more like /sys?

name="\x2fdevices\x2fpci0000:00\x2f0000:00:0f.1\x2fsound\x2fcard0"

/sys/devices/*/*/sound/card0
Comment 4 Daniel Walsh 2010-03-24 09:00:43 EDT
Harald, the question then would be how did that file get labeled as device_t?  It must have been created within a device_t directory or created under /dev and mv'd to /sys
Comment 5 Harald Hoyer 2010-03-24 09:11:43 EDT
(In reply to comment #4)
> Harald, the question then would be how did that file get labeled as device_t? 
> It must have been created within a device_t directory or created under /dev and
> mv'd to /sys    

you cannot create files in /sys
Comment 6 Harald Hoyer 2010-03-24 09:18:30 EDT
*** Bug 548169 has been marked as a duplicate of this bug. ***
Comment 7 Harald Hoyer 2010-03-24 09:18:37 EDT
*** Bug 561176 has been marked as a duplicate of this bug. ***
Comment 8 Harald Hoyer 2010-03-24 09:23:21 EDT
stupid me.. it's the udev database:

"/dev/.udev/db/\x2fdevices\x2fpci0000:00\x2f0000:00:0f.1\x2fsound\x2fcard0"
Comment 9 Harald Hoyer 2010-03-24 09:25:05 EDT
this is a normal text file, btw
Comment 10 Harald Hoyer 2010-03-24 09:34:08 EDT
$ cat '/dev/.udev/db/\x2fdevices\x2fpci0000:00\x2f0000:00:1b.0\x2fsound\x2fcard0'
E:SOUND_INITIALIZED=1
E:ID_VENDOR_FROM_DATABASE=Intel Corporation
E:ID_MODEL_FROM_DATABASE=82801G (ICH7 Family) High Definition Audio Controller
E:ID_BUS=pci
E:ID_VENDOR_ID=0x8086
E:ID_MODEL_ID=0x27d8
E:ID_PATH=pci-0000:00:1b.0
E:SOUND_FORM_FACTOR=internal


Hmm, selinux should not be very strict to read those files.
Comment 11 Daniel Walsh 2010-03-24 09:46:51 EDT
It isn't but they should be labeled udev_tbl_t, rather then device_t.

matchpathcon /dev/.udev/db/\x2fdevices\x2fpci0000:00\x2f0000:00:1b.0\x2fsound\x2fcard0
/dev/.udev/db/x2fdevicesx2fpci0000:00x2f0000:00:1b.0x2fsoundx2fcard0	system_u:object_r:udev_tbl_t:s0
Comment 12 Daniel Walsh 2010-03-24 09:50:06 EDT
I think /dev/.udev is mislabled sometimes and this causes files placed into this directory to be mislabeled.  Or udev/libselinux is screwing up the path and getting these files mislabeled.

Does udev as SELinux how to label them?
Comment 13 Bug Zapper 2010-11-03 15:57:08 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Fedora Admin XMLRPC Client 2010-11-08 16:47:53 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 15 Bug Zapper 2010-12-03 12:27:52 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.